function [aveSteps, aveReward] = greedy_eval(obj, numItr)
    test_env = maze();
    eval_bound = 100;
    count_total = 0;
    reward_total = 0;
    itr = 0;
    while(itr < numItr)
        test_env = test_env.reset();
        count = 0;
        reward_itr = 0;
        terminal = false;
        while(~logical(terminal) && count < eval_bound)
            action = egreedy_action(obj.Q(test_env.get_state(),:), 0.1);
            [test_env, reward, terminal] = test_env.move(action);
            count = count + 1;
            reward_itr = reward_itr + reward;
        end
        itr = itr + 1;
        count_total = count_total+count;
        reward_total = reward_total+reward_itr;
    end
    aveSteps = count_total/itr;
    aveReward = reward_total/itr;
end